# EnumPropsT< RailType > Struct Template Reference

Allow incrementing of Track variables. More...

`#include <rail_type.h>`

Inheritance diagram for EnumPropsT< RailType >:

## Detailed Description

### template<>
struct EnumPropsT< RailType >

Allow incrementing of Track variables.

Define basic enum properties

Definition at line 46 of file rail_type.h.

The documentation for this struct was generated from the following file:

- src/rail_type.h